
From: Andrew Morton <akpm@osdl.org>

Cc: Stephen Smalley <sds@tycho.nsa.gov>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/ext2/xattr.h |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletion(-)

diff -puN fs/ext2/xattr.h~ext2-enable-atomic-inode-security-labeling-fix fs/ext2/xattr.h
--- 25/fs/ext2/xattr.h~ext2-enable-atomic-inode-security-labeling-fix	2005-07-12 05:02:43.000000000 -0600
+++ 25-akpm/fs/ext2/xattr.h	2005-07-12 05:18:49.000000000 -0600
@@ -64,7 +64,6 @@ extern struct xattr_handler ext2_xattr_s
 
 extern ssize_t ext2_listxattr(struct dentry *, char *, size_t);
 
-extern int ext2_init_security(struct inode *inode, struct inode *dir);
 extern int ext2_xattr_get(struct inode *, int, const char *, void *, size_t);
 extern int ext2_xattr_set(struct inode *, int, const char *, const void *, size_t, int);
 
@@ -117,3 +116,11 @@ exit_ext2_xattr(void)
 
 # endif  /* CONFIG_EXT2_FS_XATTR */
 
+#ifdef CONFIG_EXT2_FS_SECURITY
+extern int ext2_init_security(struct inode *inode, struct inode *dir);
+#else
+static inline int ext2_init_security(struct inode *inode, struct inode *dir)
+{
+	return 0;
+}
+#endif
_
